WordPress at a glance
function is not described

wp_update_theme() WP 2.7.0

Deprecated in 3.7.0. It is no longer supported and can be removed in future releases. Use Theme_Upgrader instead.

This was once used to kick-off the Theme Updater.

Deprecated in favor of instantiating a Theme_Upgrader instance directly, and calling the 'upgrade' method. Unused since 2.8.0.

No Hooks.

Return

Nothing (null).

Usage

wp_update_theme( $theme, $feedback );

Code of wp update theme: wp-admin/includes/deprecated.php VER 5.1.1

<?php
function wp_update_theme($theme, $feedback = '') {
	_deprecated_function( __FUNCTION__, '3.7.0', 'new Theme_Upgrader();' );

	if ( !empty($feedback) )
		add_filter('update_feedback', $feedback);

	include( ABSPATH . 'wp-admin/includes/class-wp-upgrader.php' );
	$upgrader = new Theme_Upgrader();
	return $upgrader->upgrade($theme);
}